package com.lz.modules.flow.req;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
* <p>
* 菜单权限表
* </p>*考核维度表
* @author quyixiao
* @since 2020-10-19
*/


@Data
@ApiModel(value = "考核维度表ItemReq")
public class ResultModelItemReq implements java.io.Serializable {
  

    //
    private Long id;
    //

    @ApiModelProperty(value = "是否删除0或者不传，不删除，1删除", name = "isDelete")
    private Integer isDelete;
    //维度名称
    @ApiModelProperty(value = "维度名称", name = "name")
    private String name;

    //1:业绩 2：文化价值观
    @ApiModelProperty(value = "1:业绩 2：文化价值观", name = "type")
    private Integer type;
    //权重 0不限权重
    @ApiModelProperty(value = "权重 0不限权重", name = "weight")
    private BigDecimal weight;
    //考核子项目个数最大限制
    @ApiModelProperty(value = "考核子项目个数最大限制", name = "maxCount")
    private Integer maxCount;

    @ApiModelProperty(value = "考核指标", name = "tagetLibItems")
    private List<ResultTagetLibItemReq> tagetLibItems;
    //lz_result_calculate 的id，计算法方法id


    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 维度名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 维度名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }


    /**
     * 1:业绩 2：文化价值观 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1:业绩 2：文化价值观 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 权重 0不限权重 
     * @return
     */
    public BigDecimal getWeight() {
        return weight;
    }
    /**
     * 权重 0不限权重 
     * @param weight
     */
    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    /**
     * 考核子项目个数最大限制 
     * @return
     */
    public Integer getMaxCount() {
        return maxCount;
    }
    /**
     * 考核子项目个数最大限制 
     * @param maxCount
     */
    public void setMaxCount(Integer maxCount) {
        this.maxCount = maxCount;
    }



    @Override
    public String toString() {
        return "ResultModel{" +
                ",id=" + id +
                ",name=" + name +
                ",type=" + type +
                ",weight=" + weight +
                ",maxCount=" + maxCount +
                "}";
    }
}